entity name..

Discussion in 'AutoCAD' started by C Witt, Jun 24, 2004.

  1. C Witt

    C Witt Guest

    (defun aplsc ()
    (setq hatchObject (vlax-ename->vla-object hatchObject))
    (vla-get-patternscale hatchObject); current scale
    (vla-put-patternscale hatchObject thscale)
    (setq en (vlax-vla-object->ename hatchObject))
    (setq el (entget en))
    (do more stuff)
    (change el back to ename?); and it can't be "en".. "en2" would be good.
    )

    I need to know how to do the last line of code.. help pls.
     
    C Witt, Jun 24, 2004
    #1
  2. C Witt

    C Witt Guest

    because the (do other stuff) has changed the old object.. and i want a
    copy of it, and don't want to mod the 1st one anymore .. make sence?
     
    C Witt, Jun 24, 2004
    #2
  3. C Witt

    C Witt Guest

    further:

    object 1..
    I change the color, pattern & scale..
    apply the changes to the drawing
    done with object 1

    need object 2
    want to copy object one's code (no the user won't be involved in this)
    make more changes
    create object 2
    done


    any clearer?
     
    C Witt, Jun 24, 2004
    #3
  4. C Witt

    ECCAD Guest

    In that case, I think you need to 'clone' the 1st object - make a copy of it, then mess with obj1, release it, then, mess with obj2.

    Bob
     
    ECCAD, Jun 24, 2004
    #4
  5. C Witt

    C Witt Guest

    I ended up doing that ;) thanks.
     
    C Witt, Jun 24, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.